<?php
require_once __DIR__ . '/../vendor/autoload.php';

use Medoo\Medoo;

class Database {

    private static $instance = null;   // Singleton instance

    public static function connect()
    {
        if (self::$instance === null) {

            self::$instance = new Medoo([
                'type' => 'mysql',
                'host' => 'localhost',
                'database' => 'adven210_ca',
                'username' => 'adven210_gts',
                'password' => 'GM_1JpSJj1of',
                'charset' => 'utf8mb4'
            ]);
        }

        return self::$instance;
    }
}
